/*********************************************************************
 * File:   ttyfunc.h  (part of TTYTALK)
 * Author: Victor Volkman
 * Date:   June, 1988
 ********************************************************************/

/* From filter.c */
void xlat_char_in(int);
int  xlat_char_out(void);
void send_file_char(void);
void disp_char(int);

/* From queue.c */
void mk_queue(void);
int  dequeue(void);
#if defined MSC
far interrupt enqueue(void);
#else
void enqueue(void);
#endif
int  chk_queu(void);

/* From install.c */
void install(int,int,int,int *,int *);
void start_rcv(void);
void stop_rcv(void);
#ifdef MSC
void enable_isr();
#else
void enable_isr(void (*)());
#endif
void disable_isr(void);
void set_8259(int);
void clear_8259(int);

/* From serial.c */
void comm_setup(void);
int  rcv_char(void);
int  chk_xmt(void);
void xmt_char(int);
void send_char(int);
void send_dial_string(char *);
void xmt_brk(void);
void end_brk(void);
void send_brk(int);
void wait_tick(int);

/* From tty.c */
int main(int, char **);
void trim_cr(char *);

/* From ttycmds.c */
void line_cmd(void);
void read_cfg(char *);
void get_line_cmd(char *);
int  parse_cmdline(char *);
char *get_parm(char *);
void set_parm(int);
void write_cfg(char *);
char *dup_string(char *);

/* From ttyio.c */
void kbd_cmd(void);
int  kbinput(void);
void disp_cmdline(void);
void term_error(int, char *, char *);
void vid_setrc(int, int);
void vid_write(int, int, int, int);
void vid_write_str(char *, int, int, int);
void vid_scroll(int, int, int, int, int);
void vid_mode(int);
